export const getFileSizeMB = (size) => {
    return size / 1000 / 1000;
};
export const checkType = (file, types) => {
    const extension = file.name.split('.').pop();
    const loweredTypes = types.map(type => type.toLowerCase());
    return loweredTypes.includes(extension.toLowerCase());
};
export const acceptedExt = (types) => {
    if (types === undefined)
        return '';
    return types.map(type => `.${type.toLowerCase()}`).join(',');
};
export const isOverlabFile = (files, file) => {
    const overlabFile = files.find(item => item.file.name === file.name && item.file.size === file.size);
    if (overlabFile) {
        return true;
    }
    return false;
};
//# sourceMappingURL=util.js.map