import React from 'react';
interface IFileTypes {
    id: string;
    file: File;
    preview?: string;
}
type PropsTypes = {
    onChange: (files: IFileTypes[] | any) => void;
    fileValue: IFileTypes[] | any;
    body?: React.ReactElement;
    loadingBody?: React.ReactElement;
    maxSize?: number;
    onError?: (error: string) => void;
    type?: string[];
    overlap?: boolean;
    className?: string;
};
declare function FileUpload({ onChange, fileValue, body, loadingBody, maxSize, onError, type, overlap, className, }: PropsTypes): JSX.Element;
export default FileUpload;
